﻿$ErrorActionPreference = 'Stop'
$packageName    = 'duplicati-beta'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url            = 'https://github.com/duplicati/duplicati/releases/download/v2.0.7.1-2.0.7.1_beta_2023-05-25/duplicati-2.0.7.1_beta_2023-05-25-x86.msi'
$checksum       = 'F5A0CE3CD97E5F6F8F87A2CB6A48499FB744C1D36A7979A60B4A73C765976B17'
$url64          = 'https://github.com/duplicati/duplicati/releases/download/v2.0.7.1-2.0.7.1_beta_2023-05-25/duplicati-2.0.7.1_beta_2023-05-25-x64.msi' 
$checksum64     = 'A0D2FA694DC77A70227C991E8A35AC9B459717F3CC4A1A71081CD23F6C2F8E72'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url
  url64bit       = $url64
  validExitCodes = @(0, 3010, 1641)
  silentArgs     = '/quiet /qn /norestart'
  softwareName   = 'Duplicati 2*'
  checksum       = $checksum 
  checksumType   = 'sha256' 
  checksum64     = $checksum64
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs  
  
